<?php

namespace FiloBlu\Storelocator\Model\Plugin\Rma\Item\Attribute\Source;

use FiloBlu\Storelocator\Helper\Data;

class Status
{
    /**
     * @var Data
     */
    protected $helper;

    public function __construct(
        Data $helper
    )
    {
        $this->helper = $helper;
    }

    public function afterCheckStatus(\Magento\Rma\Model\Item\Attribute\Source\Status $subject, $result, $status = null) {

        if (!$this->helper->getReturnToStoreEnabled()) {
            return $result;
        }

        if ($status && $status == \FiloBlu\Storelocator\Model\Plugin\Rma\Source\Status::STATE_RECEIVED_IN_STORE) {
            return true;
        }

        return $result;
    }
}